Skip to main content
GET
/
cms
/
pages
/
2026-03
/
landing-pages
/
folders
Get all landing page folders
curl --request GET \
  --url https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "category": 123,
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "parentFolderId": 123,
      "updated": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Whether to return only results that have been archived.

createdAfter
string<date-time>

Filter folders created after the specified date and time.

createdAt
string<date-time>

Filter folders by their exact creation date and time.

createdBefore
string<date-time>
limit
integer<int32>

The maximum number of results to display per page.

property
string

Specify a property to include in the response.

sort
string[]
updatedAfter
string<date-time>
updatedAt
string<date-time>
updatedBefore
string<date-time>

Response

successful operation

results
object[]
required

Collection of content folders.

total
integer<int32>
required

Total number of content folders.

paging
object
Last modified on April 13, 2026